/* override styles provided by the button directive */
button.btn-primary {
  background-color: $primary-color !important;
}

button.btn-secondary {
  background-color: $secondary-color !important;
}

.navbar-toggler {
  font-size: 2.5rem;
}

.btn {
  /* link pseudo class to style elements under special condition */
  &,
  &:link,
  &:visited {
    display: inline-block;
    text-transform: uppercase;
    text-decoration: none;
    padding: 1.2rem 4rem;
    border-radius: 10rem !important;
    /* transition animates hover and active always on the initial state */
    transition: all .2s;
    /* to work as parent for ::after button */
    position: relative;
    font-size: 1.7rem !important;

    //Change fot rhe button element
    border: none;
    cursor: pointer;
  }

  /* more about box shadow: https://developer.mozilla.org/en-US/docs/Web/CSS/box-shadow */
  &:hover {
    transform: translateY(-.3rem);
    box-shadow: 0 1rem 2rem rgba(black, .2);

    &::after {
      transform: scaleX(1.4) scaleY(1.6);
      opacity: 0;
    }
  }

  &:active,
  &:focus {
    outline: none;
    transform: translateY(-1px);
    box-shadow: 0 .5rem 1rem rgba(black, .2);
  }

  &--white {
    background-color: rgba($custom-light-grey-2, .9);
    color: #656567;

    &::after {
      background-color: white;
    }
  }

  /* after is treated like child of button */
  &::after {
    content: "";
    display: inline-block;
    height: 100%;
    width: 100%;
    border-radius: 10rem;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    transition: all .4s;
  }
}
